Package Gnumed :: Package pycommon :: Module gmPrinting |
[frames] | no frames]

# Module gmPrinting

source code

GNUmed printing.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Functions
print_files(filenames=None, jobtype=None, print_api=None, verbose=False) | source code

Variables
| __doc__ = `"""GNUmed printing."""`
| known_printjob_types = ``[``'``medication_list``'``,` `'``generic_document``'``]``
| external_print_APIs = ``[``'``gm-print_doc``'``,` `'``os_startfile``'``,` `'``gsprin``...``
| __package__ = ``'``Gnumed.pycommon``'``

Imports: logging, sys, os, io, time, gmShellAPI, gmTools, gmLog2

Variables Details

  ### external_print_APIs Value:
      ['gm-print_doc',
       'os_startfile',
       'gsprint',
       'acrobat_reader',
       'gtklp',
       'Internet_Explorer',
       'Mac_Preview']